from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.uno import XInterface

@runtime_checkable
class XAccessibleContext(XInterface, Protocol):
    def getAccessibleChildCount(self) -> int: ...
    def getAccessibleParent(self) -> XAccessible: ...
    def getAccessibleIndexInParent(self) -> int: ...
    def getAccessibleRole(self) -> int: ...
    def getAccessibleDescription(self) -> str: ...
    def getAccessibleName(self) -> str: ...
    def getAccessibleRelationSet(self) -> XAccessibleRelationSet: ...
    def getAccessibleStateSet(self) -> int: ...
